<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;

    public function getAllNodes($array)
    {
        $nodes = array();
        $IDs = array();

        foreach ($array as $item) { // Para obtener los ID's de las Bóvedas o Cajas propias
            array_push($IDs, $item['id']);
        }

        foreach ($array as $item) { // Para anidar todos los hijos de cada nodo
            $children = array();

            foreach ($array as $child) {
                $parentId = $child['parent'] ? $child['parent']['id'] : null;

                if ($parentId == $item['id']) 
                    array_push($children, $child);
            }

            $item['children'] = $children;

            if (is_null($item['parent']) || !in_array($item['parent']['id'], $IDs))
                array_push($nodes, $item);
        }

        return $nodes;
    }
}
