<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveDispersionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'id' => 'nullable|uuid|exists:transactions,id',
            'total_amount' => 'required|numeric|gt:0',
            'comment' => 'required_with:id',
            // Details
            'vault_box_id' => 'required_without:id|uuid|exists:vaults_boxes,id',
            'vault_box_history_id' => 'required_with:id|uuid|exists:vault_box_history,id',
            'dispersed_to' => 'required_without:id|string|exists:vaults_boxes,id',
            'dispersed_history_id' => 'required_with:id|uuid|exists:vault_box_history,id',
            'transaction_method_id' => 'required|uuid|exists:cat_items,id',
            'bank_id' => 'nullable|uuid|exists:cat_items,id',
            'account_id' => 'nullable|uuid|exists:accounts,id',
        ];
    }
}
