<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveIncomeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'id' => 'required|uuid|exists:vaults_boxes,id',
            'amount' => 'required|numeric|gt:0',
            'transaction_method_id' => 'nullable|uuid|exists:cat_items,id',
            'bank_id' => 'nullable|uuid|exists:cat_items,id',
            'account_id' => 'nullable|uuid|exists:accounts,id',
        ];
    }
}
