<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveItemsRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'expense_objects' => 'required|array',
            'expense_objects.*.type_id' => 'required|uuid|exists:cat_items,id',
            'expense_objects.*.category_id' => 'required|uuid|exists:cat_items,id',
            'expense_objects.*.group_id' => 'required|uuid|exists:cat_items,id',
            'expense_objects.*.provider_id' => 'nullable|uuid|exists:cat_items,id',
            'expense_objects.*.name' => 'required|string',
            'expense_objects.*.description' => 'nullable|string|max:255', 
        ];
    }
}
