<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveNodeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'entity_id' => 'required_if:belongs_to,null|required_without:belongs_to|uuid|exists:entities,id',
            'type_id' => 'required_if:belongs_to,null|required_without:belongs_to|uuid|exists:cat_items,id',
            'name' => 'required|string|max:255',
            'description' => 'nullable|string',
            'belongs_to' => 'nullable|uuid|exists:nodes,id',
        ];
    }
}
