<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SaveVaultBoxRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'type_id' => 'required|uuid|exists:cat_items,id',
            'entity_id' => 'required|uuid|exists:entities,id',
            'belongs_to' => 'nullable|uuid|exists:vaults_boxes,id',
            'level' => 'required|integer|between:0,2',
            'name' => 'required|string|max:255',
            'current_amount' => 'required|numeric|gte:0',
            'transaction_method_id' => 'required|uuid|exists:cat_items,id',
            'bank_id' => 'nullable|uuid|exists:cat_items,id',
            'account_id' => 'nullable|uuid|exists:accounts,id',
        ];
    }
}
