<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Account extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'accounts';

    protected $fillable = [
        'bank_id',
        'entity_id',
        'name',
        'number',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    protected $hidden = [
        'bank_id',
        'entity_id',
    ];

    // Relaciones
    public function bank()
    {
        return $this->belongsTo(CatItem::class, 'bank_id', 'id');
    }

    public function entity()
    {
        return $this->belongsTo(Entity::class);
    }
}
