<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Catalog extends Model
{
    use HasUuids, HasFactory, SoftDeletes;

    protected $table = 'catalogs';

    protected $fillable = [
        'name',
        'description',
        'code',
        'color',
        'icon',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    // Relaciones
    public function items()
    {
        return $this->hasMany(CatItem::class);
    }
}
