<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Entity extends Model
{
    use HasUuids, HasFactory, SoftDeletes;

    protected $table = 'entities';

    protected $fillable = [
        'type_id',
        'name',
        'is_active',
        'status',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    // Relaciones
    public function type()
    {
        return $this->belongsTo(CatItem::class, 'type_id', 'id');
    }

    public function expenseDetails()
    {
        return $this->hasMany(ExpenseDetail::class);
    }

    public function nodes()
    {
        return $this->hasMany(Node::class);
    }
}
