<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class ExpenseObject extends Model
{
    use HasUuids, HasFactory, SoftDeletes;

    protected $table = 'expense_objects';

    protected $fillable = [
        'type_id',
        'category_id',
        'group_id',
        'provider_id',
        'name',
        'description',
        'status',
        'created_by',
        'updated_by',
        'deleted_by'
    ];

    protected $hidden = [
        'type_id',
        'category_id',
        'group_id',
    ];

    // Relaciones
    public function type()
    {
        return $this->belongsTo(CatItem::class, 'type_id', 'id');
    }

    public function category()
    {
        return $this->belongsTo(CatItem::class, 'category_id', 'id');
    }

    public function group()
    {
        return $this->belongsTo(CatItem::class, 'group_id', 'id');
    }

    public function provider()
    {
        return $this->belongsTo(CatItem::class, 'provider_id', 'id');
    }
}
