<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Node extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'nodes';

    protected $fillable = [
        'entity_id',
        'type_id',
        'belongs_to',
        'name',
        'description',
        'is_active',
        'status',
        'created_by',
        'updated_by',
        'deleted_by'
    ];

    // Relaciones

    public function entity()
    {
        return $this->belongsTo(Entity::class);
    }

    public function type()
    {
        return $this->belongsTo(CatItem::class, 'type_id', 'id');
    }

    public function children()
    {
        return $this->hasMany(Node::class, 'belongs_to', 'id');
    }

    public function parent()
    {
        return $this->belongsTo(Node::class, 'belongs_to', 'id');
    }
}
