<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Person extends Model
{
    use HasUuids, HasFactory, SoftDeletes;

    protected $table = 'people';

    protected $fillable = [
        'name',
        'last_name',
        'is_active',
        'status',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    // Relaciones
    public function user()
    {
        return $this->hasOne(User::class);
    }
}
