<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Transaction extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'transactions';

    protected $fillable = [
        'concept',
        'total_amount',
        'date',
        'comment',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    // Relaciones
    public function details()
    {
        return $this->HasOne(TransactionDetail::class);
    }

    public function items()
    {
        return $this->hasMany(TransactionItem::class);
    }
}
