<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class TransactionItem extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'transaction_items';

    protected $fillable = [
        'transaction_id',
        'expense_object_id',
        'quantity',
        'single_price',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    protected $hidden = [
        'transaction_id',
        'expense_object_id',
        'created_at',
        'updated_at',
        'deleted_at',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    // Relaciones
    public function Transaction()
    {
        return $this->belongsTo(Transaction::class);
    }

    public function ExpenseObject()
    {
        return $this->belongsTo(ExpenseObject::class);
    }
}
