<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class UserVaultBox extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'users_vaults_boxes';

    protected $fillable = [
        'user_id',
        'vault_box_id',
        'created_by',
        'updated_by',
        'deleted_by',
    ];
    
    // Relaciones
    public function users()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }

    public function vaultsBoxes()
    {
        return $this->belongsTo(VaultBox::class, 'vault_box_id', 'id');
    }
}
