<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Concerns\HasUuids;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class VaultBoxHistory extends Model
{
    use HasFactory, HasUuids, SoftDeletes;

    protected $table = 'vault_box_history';

    protected $fillable = [
        'vault_box_id',
        'start_date',
        'end_date',
        'initial_balance',
        'final_balance',
        'total_income',
        'total_expenditure',
        'total_spent',
        'created_by',
        'updated_by',
        'deleted_by',
    ];

    protected $hidden = [
        'deleted_at',
        'deleted_by',
    ];

    // Relaciones
    public function vaultBox()
    {
        return $this->belongsTo(VaultBox::class);
    }

    public function transactions()
    {
        return $this->hasMany(TransactionDetail::class);
    }
}
