<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('catalogs', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('name', 100);
            $table->text('description')->nullable();
            $table->string('code', 25)->unique();
            $table->bigInteger('color')->nullable()->default(null);
            $table->bigInteger('icon')->nullable()->default(null);

            $table->timestamps();
            $table->softDeletes();

            $table->uuid('created_by')->nullable();
            $table->uuid('updated_by')->nullable();
            $table->uuid('deleted_by')->nullable();
        });

        Schema::create('cat_items', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->uuid('catalog_id');
            $table->string('catalog_code', 25)->nullable()->default(null);
            $table->string('name');
            $table->text('description')->nullable();
            $table->string('value')->nullable();

            $table->timestamps();
            $table->softDeletes();

            $table->uuid('created_by')->nullable();
            $table->uuid('updated_by')->nullable();
            $table->uuid('deleted_by')->nullable();

            $table->foreign('catalog_id')->references('id')->on('catalogs')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('catalogs');
        Schema::dropIfExists('cat_items');
    }
};
