<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('nodes', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->uuid('entity_id');
            $table->uuid('type_id');
            $table->string('belongs_to', 255)->nullable();
            $table->string('name', 255);
            $table->text('description')->nullable();
            $table->boolean('is_active')->default(true);
            $table->string('status', 25);

            $table->timestamps();
            $table->softDeletes();

            $table->uuid('created_by');
            $table->uuid('updated_by');
            $table->uuid('deleted_by')->nullable()->default(null);

            $table->foreign('entity_id')->references('id')->on('entities')->onDelete('cascade');
            $table->foreign('type_id')->references('id')->on('cat_items')->onDelete('cascade');
            $table->foreign('belongs_to')->references('id')->on('nodes')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('nodes');
    }
};
