<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Catalog;

class CatalogSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Catalog::create([
            'name' => 'Módulos',
            'description' => 'Catálogo para los Módulos del sistema',
            'code' => 'CAT_MODULES',
        ]);

        Catalog::create([
            'name' => 'Tipo de Entidades',
            'description' => 'Catálogo para los tipos de entidades',
            'code' => 'CAT_ENTITY_TYPE',
        ]);

        Catalog::create([
            'name' => 'Tipo de Objetos de Gasto',
            'description' => 'Catálogo para los tipos de Objetos de Gasto',
            'code' => 'CAT_EXPEND_OBJ_TYPES',
        ]);

        Catalog::create([
            'name' => 'Categorías de Objetos de Gasto',
            'description' => 'Catálogo para las Categorías de Objetos de Gasto (Servicio, Producto, Bien Material)',
            'code' => 'CAT_EXPEND_OBJ_CATEGORIES',
        ]);

        Catalog::create([
            'name' => 'Grupos de Objetos de Gasto',
            'description' => 'Catálogo para los Grupos a los que pueden perteneceer los Objetos de Gasto',
            'code' => 'CAT_EXPEND_OBJ_GROUP',
        ]);

        Catalog::create([
            'name' => 'Proveedores',
            'description' => 'Catálogo para los Proveedores de Objetos de Gasto',
            'code' => 'CAT_PROVIDERS',
        ]);

        Catalog::create([
            'name' => 'Métodos de pago',
            'description' => 'Métodos de pago utilizados',
            'code' => 'CAT_PAYMENT_METHODS',
        ]);
        
        Catalog::create([
            'name' => 'Bancos',
            'description' => 'Bancos de las cuentas que se tienen',
            'code' => 'CAT_BANKS',
        ]);

        Catalog::create([
            'name' => 'Tipos de nodos',
            'description' => 'Nodos pertenecientes a las entidades de gasto',
            'code' => 'CAT_NODE_TYPES',
        ]);

        Catalog::create([
            'name' => 'Tipos de contenedores',
            'description' => 'Bóvedas y/o cajas',
            'code' => 'CAT_CONTAINER_TYPES',
        ]);

        Catalog::create([
            'name' => 'Beneficiarios',
            'description' => 'Beneficiarios de los pagos de los gastos realizados',
            'code' => 'CAT_BENEFICIARIES',
        ]);
    }
}
