<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use App\Models\Person;
use App\Models\User;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\Models\Role;

class SuperUserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $person = Person::create([
            'name' => 'Super',
            'last_name' => 'Admin',
            'is_active' => true,
            'status' => 'ACTIVO',
        ]);

        $user = User::create([
            'person_id' => $person->id,
            'email' => 'super.admin@avanzasolido.com',
            'password' => Hash::make('admin2024'),
            'is_active' => true,
            'status' => 'ACTIVO',
            'is_system_admin' => true,
        ]);

        $role = Role::create([
            'name' => 'Super-Admin'
        ]);

        $user->assignRole($role);
    }
}
